#include <iostream>

using namespace std;

class rectBar
{
protected:
	double w, h, l, E;

public:
	void init(double ww, double hh, double ll, double EE)
	{
		w = ww;
		h = hh;
		l = ll;
		E = EE;
	}

	double stress(double P)
	{
		return P / (w*h);
	}

	double deformation(double P)
	{
		return (P*l) / (w*h*E);
	}
};

// derived class
class simpleBeam : public rectBar
{
	double I;

public:
	void init(double ww, double hh, double ll, double EE)
	{
		rectBar::init(ww, hh, ll, EE);
		I = (w*h*h*h) / 12;
	}

	double stressbyM(double M)
	{
		return (M*h) / (2 * I);
	}
};


void main()
{
	simpleBeam b;
	double P;
	double M;

	cout << "Please enter the width, height, length and E of the simple beam"
		<< endl;
	//cin >> b.w >> b.h >> b.l >> b.E;
	double ww, hh, ll, EE;
	cin >> ww >> hh >> ll >> EE;
	b.init(ww, hh, ll, EE);

	cout << "Please enter the axial force P" << endl;
	cin >> P;

	cout << "The stress by the axial force you entered is " << b.stress(P) << endl;
	cout << "The deformation by the axial force you entered is "
		<< b.deformation(P) << endl;

	cout << "Please enter the applied moment M" << endl;
	cin >> M;

	cout << "The stress by the moment you entered is " << b.stressbyM(M) << endl;

	system("pause");
}