#include <iostream>

using namespace std;

class rectBar
{
protected:
	double w, h, l, E;

public:
	void init(double ww, double hh, double ll, double EE)
	{
		w = ww;
		h = hh;
		l = ll;
		E = EE;
	}

	double stress(double P)
	{
		return P / (w*h);
	}

	double deformation(double P)
	{
		return (P*l) / (w*h*E);
	}

	virtual void print() { cout << "I am a rectBar." << endl; }
};

// derived class
class simpleBeam : public rectBar
{
	double I;

public:
	void init(double ww, double hh, double ll, double EE)
	{
		rectBar::init(ww, hh, ll, EE);
		I = (w*h*h*h) / 12;
	}

	double stressbyM(double M)
	{
		return (M*h) / (2 * I);
	}

	virtual void print() { cout << "I am a simpleBeam." << endl; }
};


void main()
{
	rectBar* p;

	rectBar R;
	simpleBeam S;

	p = &R;
	p->print();

	p = &S;
	p->print();

	system("pause");
}